/********
Texture Class
*********/
#ifndef __TEXTURE_H__
#define __TEXTURE_H__

#include "util.h"
#include <string>

using namespace std;

class pTexture {
public:
	pTexture( const char* tname, const char* filename );
	~pTexture();

	const string& getname() const;
	GLuint gettex() const;

private:
	string name;
	GLuint texname;
};

typedef pTexture* ptrTexture;

#endif
